Query intra-bank transfer result
Query the result status of an intra-bank transfer. If the transfer returns the PROCESSING status, call this endpoint to confirm the final status.
bearerAuthAuthorizationBearer <token>The access_token obtained from POST /oauth2/token. Header format: Authorization: Bearer {accessToken}.
referenceNo*stringRequest reference number, that is, the referenceNo passed when the transfer was initiated
accountNumber?stringPayer account number. For POBO payout orders, we recommend passing the poboAccountNo from the transfer response to explicitly specify the POBO payout account and certificate used for this query. If accountNumber is not passed, the system automatically matches the corresponding POBO payout account based on referenceNo. Optional for regular orders. Length 32
X-Channel-Provider*stringProvider identifier, such as GLDB
Returns the transfer result.
application/json- response
code?integerBusiness status code
message?stringtraceId?stringRequest trace ID. Provide it when you contact technical support
data?Base fields of business data. The data object of every business response contains these fields (except fee estimation).
curl -X GET 'https://api.test.stabofx.com/openapi/v1/payments/transfer/intra-bank/STABO20231121001' \ -H 'X-Channel-Provider: GLDB'{ "code": 200, "message": "OK", "traceId": "815352c1-a4e0-46fd-add0-352888edae35", "data": { "providerStatusCode": "000000", "providerMessage": "ok", "providerRequestSerialNo": "16123809081116658", "providerResponseSerialNo": "1142948775640305664", "providerTimestamp": "2025-12-30 14:18:29", "channelSerialNo": "1091724871433682945", "paymentReference": null, "status": "SUCCESS", "coreSerialNo": "PI2536404HRTJR96", "errorCode": null, "errorMessage": null, "estimatedFee": null, "estimatedFeeCurrency": null }}Intra-bank transfer POST
Intra-bank transfer between accounts. All currencies are supported. Use it to move funds between different accounts within the same bank. **Notes** - `remarks` supports only alphanumeric characters, spaces, and the special characters `/ - ? : ( ) . , ' +` - If the `PROCESSING` status is returned, wait 5 minutes and then call the result query endpoint to confirm the final status - For orders paid out via POBO, the response returns `poboAccountNo` / `poboAccountName`. When you call the result query endpoint, we recommend passing `accountNumber=poboAccountNo` to explicitly specify the POBO payout account. If `accountNumber` is not passed, the system automatically matches the corresponding POBO payout account based on `referenceNo`.
MEPS+ transfer POST
Make a real-time local transfer in Singapore through MEPS+ (MAS Electronic Payment System). Features: - SGD only - Real-time settlement - Suitable for high-value local transfers **Notes** - `beneficiaryName`, `beneficiaryAddress`, and `remarks` support only alphanumeric characters, spaces, and the special characters `/ - ? : ( ) . , ' +` - If the beneficiary bank is not a MEPS+ participant, provide the intermediary bank details - For orders paid out via POBO, the response returns `poboAccountNo` / `poboAccountName`. When you call the result query endpoint, we recommend passing `accountNumber=poboAccountNo` to explicitly specify the POBO payout account. If `accountNumber` is not passed, the system automatically matches the corresponding POBO payout account based on `referenceNo`.